Skip to content

Webhook Subscription

Request

Get a Webhook Subscription by ID.

Security
ApiKeyAuth
Path
webhookSubscriptionIdstring, (uuid)required
GET
/v1/webhooks/{webhookSubscriptionId}
curl -i -X GET \
  'https://dev.dixa.io/v1/webhooks/{webhookSubscriptionId}' \
  -H 'Authorization: YOUR_API_KEY_HERE'

Responses

The Webhook Subscription

Bodyapplication/json
dataobject(WebhookSubscription)required
Response
{ "data": { "id": "cb452b81-6748-40ab-af85-6559b371bc5d", "name": "Dashboard Integration", "subscribedEvents": [], "url": "https://example.webhook/dashboard_integration", "headers": {}, "secretKey": "4g4h988p468g785965b780684bde5546c52gge658d76b4q33fb69c526ea4bdbc", "enabled": true, "createdAt": "2023-08-01T09:30:15Z", "createdBy": "e979cc3b-17b2-4850-b049-13c758763d1c", "updatedAt": "2023-08-02T15:09:30Z", "updatedBy": "64b777c3-eb82-49fb-bb3e-294afb5d840c", "filters": {} } }